JEConnection (Oracle - Berkeley DB Java Edition API)
Date: 2014-12-16

com.sleepycat.je.jca.ra

## Class JEConnection

- java.lang.Object
- - com.sleepycat.je.jca.ra.JEConnection

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class JEConnection
      extends Object
      implements Closeable

  A JEConnection provides access to JE services. See <JEHOME>/examples/jca/HOWTO-**.txt and <JEHOME>/examples/jca/simple/SimpleBean.java for more information on how to build the resource adaptor and use a JEConnection.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JEConnection(com.sleepycat.je.jca.ra.JEManagedConnection mc)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `Environment` | `getEnvironment()`
    `Transaction` | `getTransaction()`
    `Database` | `openDatabase(String name, DatabaseConfig config)`
    `SecondaryDatabase` | `openSecondaryDatabase(String name, Database primaryDatabase, SecondaryConfig config)`
    `void` | `removeDatabase(String databaseName)`
    `protected void` | `setManagedConnection(com.sleepycat.je.jca.ra.JEManagedConnection mc, com.sleepycat.je.jca.ra.JELocalTransaction lt)`
    `long` | `truncateDatabase(String databaseName, boolean returnCount)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JEConnection

          public JEConnection(com.sleepycat.je.jca.ra.JEManagedConnection mc)

  - ### Method Detail

    - #### setManagedConnection

          protected void setManagedConnection(com.sleepycat.je.jca.ra.JEManagedConnection mc,
                                  com.sleepycat.je.jca.ra.JELocalTransaction lt)

    - #### getEnvironment

          public Environment getEnvironment()

    - #### openDatabase

          public Database openDatabase(String name,
                              DatabaseConfig config)
                                throws DatabaseException

      Throws:
        `DatabaseException`

    - #### openSecondaryDatabase

          public SecondaryDatabase openSecondaryDatabase(String name,
                                                Database primaryDatabase,
                                                SecondaryConfig config)
                                                  throws DatabaseException

      Throws:
        `DatabaseException`

    - #### removeDatabase

          public void removeDatabase(String databaseName)
                              throws DatabaseException

      Throws:
        `DatabaseException`

    - #### truncateDatabase

          public long truncateDatabase(String databaseName,
                              boolean returnCount)
                                throws DatabaseException

      Throws:
        `DatabaseException`

    - #### getTransaction

          public Transaction getTransaction()
                                     throws javax.resource.ResourceException

      Throws:
        `javax.resource.ResourceException`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`

Copyright (c) 2004, 2014 Oracle and/or its affiliates. All rights reserved.